using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    internal class Program
    {
        static bool Da(int[] niz, int l, int r)
        {
            bool manji = false;
            for (int j = l; j < r; j++)
            {
                if (niz[j] < niz[j - 1])
                {
                    if (manji) return false;
                    if (j == r - 1) return true;
                    if (niz[j + 1] < niz[j - 1])
                    {
                        if (j != l) return false;
                        else manji = true;
                    }
                    manji = true;
                }
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] niza = new int[n];
            string[] s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                niza[i] = int.Parse(s[i]);
            }
            int q = int.Parse(Console.ReadLine());
            for (int i = 0; i < q; i++)
            {
                s = Console.ReadLine().Split();
                int l = int.Parse(s[0]), r = int.Parse(s[1]);
                if (Da(niza, l, r)) Console.WriteLine("DA");
                else Console.WriteLine("NE");
            }
        }
    }
}